Main Page | Modules | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# RakNetworkFactory Class Reference

Communication End Point Provider. More...

`#include <RakNetworkFactory.h>`

List of all members.

## Static Public Member Functions
static RakClientInterface * | GetRakClientInterface (void)
static RakServerInterface * | GetRakServerInterface (void)
static RakPeerInterface * | GetRakPeerInterface (void)
static void | DestroyRakClientInterface (RakClientInterface *i)
static void | DestroyRakServerInterface (RakServerInterface *i)
static void | DestroyRakPeerInterface (RakPeerInterface *i)

## Detailed Description

Communication End Point Provider.

This class is in charge of creating and managing Peers. You should always pass throught this class to get a communication End Point.

## Member Function Documentation

void RakNetworkFactory::DestroyRakClientInterface | ( | RakClientInterface * | i | ) | `[static]`

| Destroys an instance of the network client.

void RakNetworkFactory::DestroyRakPeerInterface | ( | RakPeerInterface * | i | ) | `[static]`

| Destroys an instance of the network server.

void RakNetworkFactory::DestroyRakServerInterface | ( | RakServerInterface * | i | ) | `[static]`

| Destroys an instance of the network server.

RakClientInterface * RakNetworkFactory::GetRakClientInterface | ( | void |  | ) | `[static]`

| Returns a new instance of the network client.

RakPeerInterface * RakNetworkFactory::GetRakPeerInterface | ( | void |  | ) | `[static]`

| Returns a new instance of the network server.

RakServerInterface * RakNetworkFactory::GetRakServerInterface | ( | void |  | ) | `[static]`

| Returns a new instance of the network server.

The documentation for this class was generated from the following files:

- Projects/raknet/include/raknet/RakNetworkFactory.h
- Projects/raknet/Source/RakNetworkFactory.cpp